Bug 178390 - Ghostscript lacking of scalable fonts
Ghostscript lacking of scalable fonts
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ghostscript-fonts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-01-19 19:38 EST by Nathan Plamer
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:48:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nathan Plamer 2006-01-19 19:38:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
When I scaled my xfig graph under our new Linux Enterprise sytem, I found the Greek fonts didn't scale exactly as the boxes enclosing them.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a figure in xFig containg Greek characters
2. Enclose them in boxes
3. Scale the figure

Actual Results:  The fonts scale differently than the boxea

Expected Results:  They should scale at the same rate.

Additional info:

The author of xfig pointed out that it was caused by lacking of scalable fonts, and suggested me to install Ghostscript fonts. After did so and added font path by "xset +fp my_gs_fonts_dir", the scaling problem went away, but new problem came -- the Greek characters were shifted by 97-65=32 (A becomes a) on the display ( using X server).
Comment 1 Tim Waugh 2006-01-23 07:22:44 EST
Which fonts did you install?
Comment 3 RHEL Product and Program Management 2007-10-19 14:48:32 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.